<script>
import {
  // ruleid: okay-drawer-vue-component
  GlDrawer
} from '@gitlab/ui';

export default {
  components: {
    GlDrawer
  },
  computed: {
    classes() {
      // ruleid: drawer-class-vue
      return ['gl-drawer']
    }
  }
}
</script>
<template>
  <div>
    <!-- ok: drawer-class-vue -->
    <gl-drawer>
      I am a good drawer
    <!-- ok: drawer-class-vue -->
    </gl-drawer>
    <!-- ruleid: drawer-class-vue -->
    <div class="gl-drawer">
      I am a bad drawer
    </div>
  </div>
</template>
